---
title: "FreeBSD 5.3-RELEASE Announcement"
sidenav: download
---

++++


    <p><b>Date:</b> Sat, 06 Nov 2004 16:19:57 -0700<br clear="none" />
      <b>From:</b> Scott Long &lt;scottl@FreeBSD.org&gt;<br clear="none" />
      <b>To:</b> freebsd-announce@FreeBSD.org<br clear="none" />
      <b>Subject:</b> [FreeBSD-Announce] FreeBSD 5.3-RELEASE Announcement</p>

    <p>It is my great pleasure and privilege to announce the availability of
      FreeBSD 5.3-RELEASE.  This release marks a milestone in the FreeBSD 5.x
      series and the beginning of the 5-STABLE branch of releases.  Some of
      the many changes since 5.2.1 include:</p>

    <ul>
      <li><p>A binary compatibility interface has been introduced for the i386
	  platform that allows running Microsoft Windows NDIS network drivers
	  natively in the kernel.</p></li>

      <li><p>The network and socket subsystems are now multi-threaded and
	  reentrant. This allows for much better use of SMP parallelism when
	  processing and forwarding local and remote network traffic.</p></li>

      <li><p>The development environment has been updated to GCC 3.4.2, Binutils
	  2.15, and GDB 6.1</p></li>

      <li><p>The choices for graphical environments have been updated to include
	  X.org 6.7, Gnome 2.6.2 and KDE 3.3.0.</p></li>
    </ul>

    <p>There has also been a significant focus on testing and bug-fixing with
      this release, as well as the freezing of most kernel and userland APIs.
      Users and vendors are encouraged to consider transitioning to it as
      FreeBSD 5.x is no longer considered a 'New Technology' release series.
      Information on migrating from FreeBSD 4.x to 5.x can be found at</p>

    <p><a href="http://www.FreeBSD.org/releases/5.3R/migration-guide.html" shape="rect">
	http://www.FreeBSD.org/releases/5.3R/migration-guide.html</a></p>

    <p>For a complete list of new features and known problems, please see the
      release notes and errata list, available at:</p>

    <p><a href="http://www.FreeBSD.org/releases/5.3R/relnotes.html" shape="rect">
	http://www.FreeBSD.org/releases/5.3R/relnotes.html</a><br clear="none" />
      <a href="http://www.FreeBSD.org/releases/5.3R/errata.html" shape="rect">
	http://www.FreeBSD.org/releases/5.3R/errata.html</a></p>

    <p>For more information about FreeBSD release engineering activities,
      please see:</p>

    <p><a href="http://www.FreeBSD.org/releng" shape="rect">http://www.FreeBSD.org/releng</a></p>

    <h2>Availability</h2>

    <p>FreeBSD 5.3-RELEASE supports the i386, pc98, alpha, sparc64, amd64, and
      ia64 architectures and can be installed directly over the net using
      bootable media or copied to a local NFS/FTP server.  Distributions for
      all architectures are available now.</p>

    <p>Please continue to support the FreeBSD Project by purchasing media
      from one of our supporting vendors.  The following companies will be
      offering FreeBSD 5.3 based products:</p>

    <ul>
      <li><p>FreeBSD Mall, Inc.
	  <tt><a href="http://www.freebsdmall.com/" shape="rect">http://www.freebsdmall.com/</a></tt></p></li>
      <li><p>Daemonnews, Inc.
          <tt><a href="http://www.bsdmall.com/freebsd1.html" shape="rect">http://www.bsdmall.com/freebsd1.html</a></tt></p></li>
    </ul>

    <p>If you can't afford FreeBSD on media, are impatient, or just want to
      use it for evangelism purposes, then by all means download the ISO
      images.  We can't promise that all the mirror sites will carry the
      larger ISO images, but they will at least be available from the
      following sites.  MD5 checksums for the release images are included at
      the bottom of this message.</p>

    <h2>Bittorrent</h2>

    <p>Bittorrent distribution is being tested on an experimental basis.  A
      collection of trackers for the release ISO images is available at</p>

    <p><tt><a href="http://people.freebsd.org/~scottl/5.3-torrent" shape="rect">http://people.freebsd.org/~scottl/5.3-torrent</a></tt></p>

    <h2>FTP</h2>

    <ul>
      <li><p><tt><a href="ftp://ftp.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp2.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp3.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp3.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp4.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp4.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp5.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp5.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp6.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp6.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp7.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp7.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp10.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp10.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp2.au.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.au.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp.cz.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.cz.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp.fr.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.fr.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp2.jp.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.jp.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp1.ru.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp1.ru.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp2.ru.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.ru.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp2.tw.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.tw.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp3.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp3.us.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp10.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp10.us.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp11.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp11.us.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
      <li><p><tt><a href="ftp://ftp15.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp15.us.FreeBSD.org/pub/FreeBSD/</a></tt></p></li>
    </ul>

    <p>FreeBSD is also available via anonymous FTP from mirror sites in the
      following countries: Argentina, Australia, Brazil, Bulgaria, Canada,
      China, Czech Republic, Denmark, Estonia, Finland, France, Germany,
      Hong Kong, Hungary, Iceland, Ireland, Japan, Korea, Lithuania,
      Amylonia, the Netherlands, New Zealand, Poland, Portugal, Romania,
      Russia, Saudi Arabia, South Africa, Slovak Republic, Slovenia, Spain,
      Sweden, Taiwan, Thailand, Ukraine, and the United Kingdom.</p>

    <p>Before trying the central FTP site, please check your regional
      mirror(s) first by going to:</p>

    <p>ftp://ftp.&lt;yourdomain&gt;.FreeBSD.org/pub/FreeBSD</p>

    <p>Any additional mirror sites will be labeled ftp2, ftp3 and so on.</p>

    <p>More information about FreeBSD mirror sites can be found at:</p>

    <p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html" shape="rect">
      http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html</a></tt></p>

    <p>For instructions on installing FreeBSD, please see Chapter 2 of The
      FreeBSD Handbook.  It provides a complete installation walk-through
      for users new to FreeBSD, and can be found online at:</p>

    <p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html" shape="rect">
	http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html</a></tt></p>

    <h2>Acknowledgments</h2>

    <p>Many companies donated equipment, network access, or man-hours to
      finance the release engineering activities for FreeBSD 5.3 including
      The FreeBSD Mall, Compaq, Yahoo!, Sentex Communications, Sandvine, Inc.,
      FreeBSD Systems, Inc, and NTT/Verio.</p>

    <p>The release engineering team for 5.3-RELEASE includes:</p>

    <table border="0">
      <tbody>
	<tr>
	  <td rowspan="1" colspan="1">Scott Long &lt;<a href="mailto:scottl@FreeBSD.org" shape="rect">scottl@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering, I386 and AMD64 Release Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Ken Smith &lt;<a href="mailto:kensmith@FreeBSD.org" shape="rect">kensmith@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">I386 and Sparc64 Release, Building, Mirror Site Coordination</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Hiroki Sato &lt;<a href="mailto:hrs@FreeBSD.org" shape="rect">hrs@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering, Documentation and Coordination</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Robert Watson &lt;<a href="mailto:rwatson@FreeBSD.org" shape="rect">rwatson@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering, Security</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">John Baldwin &lt;<a href="mailto:jhb@FreeBSD.org" shape="rect">jhb@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Murray Stokely &lt;<a href="mailto:murray@FreeBSD.org" shape="rect">murray@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Marcel Moolenaar &lt;<a href="mailto:marcel@FreeBSD.org" shape="rect">marcel@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">IA64 Release Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Takahashi Yoshihiro &lt;<a href="mailto:nyan@FreeBSD.org" shape="rect">nyan@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">PC98 Release Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Wilko Bulte &lt;<a href="mailto:wilko@FreeBSD.org" shape="rect">wilko@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Alpha Release Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Kris Kennaway &lt;<a href="mailto:kris@FreeBSD.org" shape="rect">kris@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Package Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Joe Marcus Clarke &lt;<a href="mailto:marcus@FreeBSD.org" shape="rect">marcus@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Package Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Jacques A. Vidrine &lt;<a href="mailto:nectar@FreeBSD.org" shape="rect">nectar@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Security Officer</td>
	</tr>
      </tbody>
    </table>

    <h2>CD Image Checksums</h2>

    <p>For Alpha:</p>

    <pre xml:space="preserve">MD5 (5.3-RELEASE-alpha-bootonly.iso) = 82fd65e9cfdb6431934d0f1c1b6a15a3
MD5 (5.3-RELEASE-alpha-disc1.iso) = f7d2267e623be6e7409c119b46982061
MD5 (5.3-RELEASE-alpha-disc2.iso) = 26ab899510752a05bf0019529b3ae09e
MD5 (5.3-RELEASE-alpha-miniinst.iso) = 3cc9b2881ea519027fbec6f95ab2ea84</pre>

    <p>For amd64:</p>

    <pre xml:space="preserve">MD5 (5.3-RELEASE-amd64-bootonly.iso) = 3b13650ee101461d55233d2648402cfd
MD5 (5.3-RELEASE-amd64-disc2.iso) = f35d3c6f46499ffab755ccf9b63cd558
MD5 (5.3-RELEASE-amd64-miniinst.iso) = 1efce73bf26984feb6128518b225ad7e
MD5 (5.3-RELEASE-amd64-disc1.iso) = 22894ae0c26f03537608d06815700148</pre>

    <p>For i386:</p>

    <pre xml:space="preserve">MD5 (5.3-RELEASE-i386-bootonly.iso) = e370ae39bb34f0789c638b6ad50038a2
MD5 (5.3-RELEASE-i386-disc1.iso) = fbcbfdff31f27de396f257e0a37a78b8
MD5 (5.3-RELEASE-i386-disc2.iso) = 21874a5663022768336e4cc73d1dd30d
MD5 (5.3-RELEASE-i386-miniinst.iso) = 96124b2608ba481693e04d364d485e3c</pre>

    <p>For ia64:</p>

    <pre xml:space="preserve">MD5 (5.3-RELEASE-ia64-bootonly.iso) = 2e5dfceb79b2975885cab6b318c965b8
MD5 (5.3-RELEASE-ia64-disc1.iso) = 61b5bc276bf2b75aed0908802ea12926
MD5 (5.3-RELEASE-ia64-disc2.iso) = 02613e71ea7e04c43f75a8feccb0bdfa
MD5 (5.3-RELEASE-ia64-miniinst.iso) = 709233fd711756966f298e31bcab4e45</pre>

    <p>For pc98:</p>

    <pre xml:space="preserve">MD5 (5.3-RELEASE-pc98-disc2.iso) = 373ddc67857b90b34190ad07a23e5298
MD5 (5.3-RELEASE-pc98-miniinst.iso) = 01735af51f7b7f6ce37314e5ec49a842</pre>

    <p>For sparc64:</p>

    <pre xml:space="preserve">MD5 (5.3-RELEASE-sparc64-bootonly.iso)= db98df3d41cb20d6cdac668125736880
MD5 (5.3-RELEASE-sparc64-disc1.iso) = cd960f33a4e4ae33628b28580900932a
MD5 (5.3-RELEASE-sparc64-disc2.iso) = 058c9fce47fec044e6be91773532293a
MD5 (5.3-RELEASE-sparc64-miniinst.iso)= 05eb044da17fda978f88716a8203be3d</pre>


  </div>
          <br class="clearboth" />
        </div>
        
++++

